A set of permissions that are configurable on a given model.

### Hierarchy

- ModelPermissions

## Index

### Properties

- manage
- read
- remove
- write

### Methods

- toJSON
- fromJSON

## Properties

### manage

manage: boolean

Set to true to permit managing the permissions on a model.

### read

read: boolean

Set to true to allow read access to a model.

### remove

remove: boolean

Set to true to permit deleting a model.

### write

write: boolean

Set to true to allow write access to a model.

## Methods

### toJSON

- toJSON(): object

- #### Returns object

  - ##### manage: boolean

  - ##### read: boolean

  - ##### remove: boolean

  - ##### write: boolean

### StaticfromJSON

- fromJSON(json: object): ModelPermissions

- Creates a new ModelPermissions class from a JSON representation.

  #### Parameters

  - ##### json: object

    The JSON representations of the ModelPermissions.

    - ##### manage: boolean

    - ##### read: boolean

    - ##### remove: boolean

    - ##### write: boolean

  #### Returns ModelPermissions

  A ModelPermissions instance initialized from the JSON Object.